#
# Author:: Anicheev Serghei (<serghei.anicheev@gmail.com>)
# Copyright:: Copyright (c) 2016 Nemo AI.
#

require 'mixlib/cli'

module RecommendMe
  class MCLI
    include Mixlib::CLI

    option :config_file,
      :short => "-c config_file",
      :long  => "--config",
      :description => "The configuration file to use",
      :default => ConfigLoader.new(nil, nil).config_location

    option :project_name, 
      :short => "-p project_name",
      :long  => "--project-name",
      :description => "Project name to use in templates",
      :default => 'recommend-me'

    option :location,
      :short => "-l location",
      :long => "--location",
      :description => 'Location to use in a templates',
      :default => 'local'

    option :ruby_version,
      :short => "-r location",
      :long => "--ruby-version",
      :description => 'Ruby version to use in a templates',
      :default => 'ruby-2.0.0-p598'

    option :help,
      :short => "-h",
      :long => "--help",
      :description => "Show this message",
      :on => :tail,
      :boolean => true,
      :show_options => true,
      :exit => 0

    def run(argv=[])
      parse_options(argv)
    end

  end
end
