#
# Author:: Anicheev Serghei (<serghei.anicheev@gmail.com>)
# Copyright:: Copyright (c) 2016 Nemo AI.
#

require 'mixlib/cli'
require 'mixlib/config'
require 'recommend_me/config_loader'
require 'recommend_me/cli'
require 'recommend_me/helpers'
require 'recommend_me/config'
require 'recommend_me/generator'

module RecommendMe
  class Main

    attr_reader :params

    def initialize(argv=[])
      @template = argv[0]
      @params = argv
      @file = argv[0].split('.erb').first
    end  

    def run
      config_location = ConfigLoader.new(nil, nil).config_location
      MCLI.use_separate_default_options true
      cli = RecommendMe::MCLI.new
      cli.run(@params)
      generator_config = Helpers::load_config_file(cli.default_config, cli.config)
      Config.from_file(generator_config)
      sym_hash = Config.configuration.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}
      Helpers.merge_configs(cli.default_config, cli.config, sym_hash)
      Generator.generate_file(cli.config, @template, @file)
    end

  end
end
